Bug 1222652 - [abrt] geoclue2: g_bit_lock(): geoclue killed by SIGSEGV
Summary: [abrt] geoclue2: g_bit_lock(): geoclue killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue2
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zeeshan Ali
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:651b4bf83f39c29cfc947b7db2e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-18 18:20 UTC by Peter
Modified: 2016-09-20 01:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:09:19 UTC


Attachments (Terms of Use)
File: backtrace (10.86 KB, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: cgroup (194 bytes, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: core_backtrace (7.52 KB, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: dso_list (1.82 KB, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: environ (143 bytes, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: maps (9.58 KB, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: open_fds (421 bytes, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details
File: var_log_messages (1.21 KB, text/plain)
2015-05-18 18:20 UTC, Peter
no flags Details

Description Peter 2015-05-18 18:20:25 UTC
Version-Release number of selected component:
geoclue2-2.2.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue -t 5
crash_function: g_bit_lock
executable:     /usr/libexec/geoclue
global_pid:     29336
kernel:         4.0.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            992

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_bit_lock at gbitlock.c:214
 #1 g_variant_lock at gvariant-core.c:221
 #2 g_variant_n_children at gvariant-core.c:929
 #3 variant_to_string at gclue-mozilla.c:49
 #4 get_ssid_from_bss at gclue-mozilla.c:71
 #5 gclue_mozilla_should_ignore_bss at gclue-mozilla.c:414
 #6 on_bss_proxy_ready at gclue-wifi.c:312
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:763
 #8 complete_in_idle_cb at gsimpleasyncresult.c:775

Comment 1 Peter 2015-05-18 18:20:28 UTC
Created attachment 1026812 [details]
File: backtrace

Comment 2 Peter 2015-05-18 18:20:30 UTC
Created attachment 1026813 [details]
File: cgroup

Comment 3 Peter 2015-05-18 18:20:31 UTC
Created attachment 1026814 [details]
File: core_backtrace

Comment 4 Peter 2015-05-18 18:20:32 UTC
Created attachment 1026815 [details]
File: dso_list

Comment 5 Peter 2015-05-18 18:20:33 UTC
Created attachment 1026816 [details]
File: environ

Comment 6 Peter 2015-05-18 18:20:35 UTC
Created attachment 1026817 [details]
File: limits

Comment 7 Peter 2015-05-18 18:20:36 UTC
Created attachment 1026818 [details]
File: maps

Comment 8 Peter 2015-05-18 18:20:38 UTC
Created attachment 1026819 [details]
File: mountinfo

Comment 9 Peter 2015-05-18 18:20:40 UTC
Created attachment 1026820 [details]
File: namespaces

Comment 10 Peter 2015-05-18 18:20:41 UTC
Created attachment 1026821 [details]
File: open_fds

Comment 11 Peter 2015-05-18 18:20:43 UTC
Created attachment 1026822 [details]
File: proc_pid_status

Comment 12 Peter 2015-05-18 18:20:44 UTC
Created attachment 1026823 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2016-07-19 14:09:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.